Subject: [bug#40373] [PATCH] guix: new command "guix run-script"

From: Konrad Hinsen <[email-masked]>
Date: Thu, 23 Apr 2020 12:12:59 +0200

Hi Simon,

> Why not simply add an option to "guix repl"?
> For example "--batch", mimicking  "emacs --batch".
> Or "--script".

Do you have a suggestion for explaining such a command to someone who
want to run a script bu (1) doesn't know what a REPL is, (2) doesn't
need to know what a REPL is, (3) would be mystified by the behavior
resulting from forgetting the –script argument?

I agree of course that naming is hard, but it is also important.  Git
should be a sufficient demonstration of what happens when you design
command-line interfaces by a sequence of cumulative least-effort
decisions.

Cheers,
  Konrad